{
  "name": "@jarvis-network/atomic-swap",
  "version": "0.0.1",
  "license": "ISC",
  "scripts": {
    "format": "NODE_OPTIONS=--max-old-space-size=8192 prettier --write .",
    "format:sol": "prettier --write './contracts/**/*.sol'",
    "build": "yarn build:solidity && yarn build:tsc && yarn build:nx-necessary",
    "build:solidity": "hardhat compile",
    "build:tsc": "tsc -p ./tsconfig.lib.json",
    "build:nx-necessary": "cp ./package.json ./dist/",
    "compile": "hardhat compile",
    "migrate-atomic-swap": "MIGRATION_TYPE=atomic_swap hardhat test ./test/correct-migration.js",
    "migrate-OCLR": "MIGRATION_TYPE=OCLR hardhat test ./test/correct-migration.js",
    "start:local-fork": "../../scripts/local-fork.sh",
    "test": "yarn run test:v1 && yarn run test:v2",
    "test:v1": "MIGRATION_TYPE=atomic_swap FORKCHAINID=1 NODE_OPTIONS=--max-old-space-size=8192 hardhat test ./test/v1/atomic-swap.js",
    "test:v2": "MIGRATION_TYPE=OCLR FORKCHAINID=1 NODE_OPTIONS=--max-old-space-size=8192 hardhat test ./test/v2/*",
    "coverage": "MIGRATION_TYPE=all NODE_OPTIONS=--max-old-space-size=16384 hardhat --network mainnet_fork coverage --solcoverjs ./test/.solcover.js",
    "verify": "hardhat verify"
  },
  "devDependencies": {
    "@jarvis-network/synthereum-contracts": "*",
    "@nomiclabs/hardhat-etherscan": "^2.1.4",
    "@nomiclabs/hardhat-truffle5": "^2.0.0",
    "@nomiclabs/hardhat-web3": "^2.0.0",
    "@openzeppelin/contracts": "4.1.0",
    "hardhat-gas-reporter": "^1.0.4"
  }
}
